
From: Stefan Nickl <Stefan.Nickl@kontron.com>

I've seen that MPC8555 support also made it into linux-2.6 by now.

I don't have hardware and time to test, but it looks like this bug has made
it over from the linuxppc-2.4 tree.  The 8541/8555 has a smaller CPM DPRAM
than the standard CPM2, just like the 8272.

Unfortunately, the manual recommends you to use a segment of CPM DPRAM that
is not implemented in the 8541/55.  If the smaller DPRAM is not taken into
account, fcc_enet.c will initialise the internal CPM buffer pointers
(fcc_riptr/fcc_tiptr) to invalid offsets, with the result that all the FCC
will ever send and receive are 0xff-en.

See also "All-ones problem with FCC1 on MPC8541" ~October 2004 on
linuxppc-embedded.

Signed-off-by: Stefan Nickl <Stefan.Nickl@kontron.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-ppc/cpm2.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-ppc/cpm2.h~ppc32-mpc8555-cpm2-size-pointers-for-fccs-aka-all-ones-problem include/asm-ppc/cpm2.h
--- 25/include/asm-ppc/cpm2.h~ppc32-mpc8555-cpm2-size-pointers-for-fccs-aka-all-ones-problem	Wed Mar 30 15:33:02 2005
+++ 25-akpm/include/asm-ppc/cpm2.h	Wed Mar 30 15:33:02 2005
@@ -86,7 +86,7 @@
  */
 #define CPM_DATAONLY_BASE	((uint)128)
 #define CPM_DP_NOSPACE		((uint)0x7fffffff)
-#ifdef CONFIG_8272
+#if defined(CONFIG_8272) || defined(CONFIG_MPC8555)
 #define CPM_DATAONLY_SIZE	((uint)(8 * 1024) - CPM_DATAONLY_BASE)
 #define CPM_FCC_SPECIAL_BASE	((uint)0x00009000)
 #else
_
